Bug 425952 - Conflicting file xulruner.conf file
Conflicting file xulruner.conf file
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xulrunner (Show other bugs)
rawhide
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Martin Stransky
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-17 07:25 EST by Zdenek Kabelac
Modified: 2008-01-11 06:59 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-11 05:28:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zdenek Kabelac 2007-12-17 07:25:45 EST
Description of problem:
I've had both xulrunner packages (i386 & x86_64) installed on my fedora rawhide
at the same time - and the upgrade left  /etc/ld.so.conf.d/xulrunner.conf from
i386 version and my machine runs 64bit - of course nspluginwrapper stopped to
work and I had find the reason.


Version-Release number of selected component (if applicable):
xulrunner-1.9-0.beta1.4.fc9

How reproducible:
Install i386 and x86_64 xulrunner package

Steps to Reproduce:
1.
2.
3.
  
Actual results:
mozilla-plugin-config -i   doensn't work

Expected results:
Either system should not allow to install i386 & x86_64 version at the same time
or there should be different config file used.

Additional info:
Comment 1 John Ellson 2007-12-18 01:06:09 EST
This breaks flash.
Comment 2 Martin Stransky 2008-01-11 05:28:00 EST
fixed in xulrunner-1.9-0.beta2.7.
Comment 3 John Ellson 2008-01-11 06:59:25 EST
I'm still getting conflicts:

Transaction Check Error:
  file /usr/bin/xulrunner from install of xulrunner-1.9-0.beta2.7.fc9.i386
conflicts with file from package xulrunner-1.9-0.beta2.7.fc9.x86_64

Note You need to log in before you can comment on or make changes to this bug.